/*******************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only
 * intended for use with Renesas products. No other uses are authorized. This
 * software is owned by Renesas Electronics Corporation and is protected under
 * all applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
 * LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
 * AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
 * ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
 * FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
 * ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
 * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software
 * and to discontinue the availability of this software. By using this
 * software, you agree to the additional terms and conditions found by
 * accessing the following link:
 * http://www.renesas.com/disclaimer
 *******************************************************************************
 * Copyright (C) 2018 Renesas Electronics Corporation. All rights reserved.
 *****************************************************************************/
/******************************************************************************
 * @headerfile     r_riic_drv_link.h
 * @brief          RIIC Link high-low level driver include file
 * @version        1.00
 * @date           27.06.2018
 * H/W Platform    RZ/A2M
 *****************************************************************************/
/*****************************************************************************
 * History      : DD.MM.YYYY Ver. Description
 *              : 30.06.2018 1.00 First Release
 *****************************************************************************/

/*************************************************************************//**
 * @ingroup R_SW_PKG_93_POSIX_Drivers
 * @defgroup SSGSTARC_56_RIIC_HLD_API RIIC High Level Driver
 * @brief This interface provides access to the RIIC peripheral on the
 * RZA2M board.
 * See @ref SSGSTARC_56_RIIC_HLD_API for details.
 *
 * @anchor SSGSTARC_56_RIIC_API_LIMITATIONS
 * @par Known Limitations
 * @ref NONE_YET
 *
 * @anchor SSGSTARC_56_RIIC_API_INSTANCES
 * @par Known Implementations
 * @ref RENESAS_APPLICATION_SOFTWARE_PACKAGE
 *
 * @ref R_SW_PKG_93_EEPROM_API <BR>
 * @ref RENESAS_OS_ABSTRACTION  Renesas OS Abstraction interface
 * @{
 *****************************************************************************/

#include "r_rza2m_riic_lld_api.h"    /* low level to high level api */

/* Multiple inclusion prevention macro */
#ifndef SRC_RENESAS_DRIVERS_R_RIIC_INC_R_RIIC_DRV_LINK_H_
    #define SRC_RENESAS_DRIVERS_R_RIIC_INC_R_RIIC_DRV_LINK_H_

/*****************************************************************************
 Macro definitions
 *****************************************************************************/

/*****************************************************************************
 Typedef definitions
 *****************************************************************************/

/*****************************************************************************
 Exported global variables
 *****************************************************************************/

/*****************************************************************************
 Exported global functions (to be accessed by other files)
 *****************************************************************************/

#endif /* SRC_RENESAS_DRIVERS_R_RIIC_INC_R_RIIC_DRV_LINK_H_ */
/**************************************************************************//**
 * @} (end addtogroup)
 *****************************************************************************/
/******************************************************************************
 End  Of File
 ******************************************************************************/

