/**
 * @file font22x29.c
 *
 * @brief Font data based on "Courier New" in 22pt / Bold
 *
 * Generated as 22 pixels in width and 29 pixels in Height
 *
 * @section License
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright (C) 2020-2021 M13DESIGN SARL. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @author M13DESIGN SARL (www.m13design.fr)
 * @version 1.0.0
 **/

#include "fonts.h"

const uint8_t font_22x29_data[] =
{
    // @0 ' ' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @0 '!' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @87 '"' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x03, 0x9C, 0x00, // ------###--###--------**
    0x03, 0x9C, 0x00, // ------###--###--------**
    0x03, 0x9C, 0x00, // ------###--###--------**
    0x03, 0x9C, 0x00, // ------###--###--------**
    0x01, 0x08, 0x00, // -------#----#---------**
    0x01, 0x08, 0x00, // -------#----#---------**
    0x01, 0x08, 0x00, // -------#----#---------**
    0x01, 0x08, 0x00, // -------#----#---------**
    0x01, 0x08, 0x00, // -------#----#---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @174 '#' (22 pixels wide / 2 lst LSB unused)
    0x01, 0xCE, 0x00, // -------###--###-------**
    0x01, 0xCE, 0x00, // -------###--###-------**
    0x01, 0xCE, 0x00, // -------###--###-------**
    0x01, 0xCE, 0x00, // -------###--###-------**
    0x01, 0xCE, 0x00, // -------###--###-------**
    0x01, 0xCE, 0x00, // -------###--###-------**
    0x01, 0xCE, 0x00, // -------###--###-------**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x03, 0x9C, 0x00, // ------###--###--------**
    0x03, 0x9C, 0x00, // ------###--###--------**
    0x03, 0x9C, 0x00, // ------###--###--------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @261 '$' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x03, 0xFF, 0x00, // ------##########------**
    0x03, 0xFF, 0x00, // ------##########------**
    0x07, 0x87, 0x00, // -----####----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x03, 0xF0, 0x00, // ------######----------**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x00, 0xFF, 0x00, // --------########------**
    0x00, 0x07, 0x80, // -------------####-----**
    0x0C, 0x03, 0x80, // ----##--------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0F, 0x07, 0x80, // ----####-----####-----**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFE, 0x00, // ----###########-------**
    0x0E, 0xFC, 0x00, // ----###-######--------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @348 '%' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x01, 0xF0, 0x00, // -------#####----------**
    0x03, 0xF8, 0x00, // ------#######---------**
    0x07, 0x1C, 0x00, // -----###---###--------**
    0x06, 0x0C, 0x00, // -----##-----##--------**
    0x06, 0x0C, 0x00, // -----##-----##--------**
    0x06, 0x0C, 0x00, // -----##-----##--------**
    0x07, 0x1C, 0x00, // -----###---###--------**
    0x03, 0xFB, 0x80, // ------#######-###-----**
    0x01, 0xFF, 0x00, // -------#########------**
    0x07, 0xFC, 0x00, // -----#########--------**
    0x0E, 0xFE, 0x00, // ----###-#######-------**
    0x01, 0xC7, 0x00, // -------###---###------**
    0x01, 0x83, 0x00, // -------##-----##------**
    0x01, 0x83, 0x00, // -------##-----##------**
    0x01, 0x83, 0x00, // -------##-----##------**
    0x01, 0xC7, 0x00, // -------###---###------**
    0x00, 0xFE, 0x00, // --------#######-------**
    0x00, 0x7C, 0x00, // ---------#####--------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @435 '&' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0xFF, 0x00, // --------########------**
    0x01, 0xFF, 0x00, // -------#########------**
    0x01, 0xCC, 0x00, // -------###--##--------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x03, 0xFB, 0xC0, // ------#######-####----**
    0x03, 0xFB, 0xC0, // ------#######-####----**
    0x07, 0x1F, 0xC0, // -----###---#######----**
    0x07, 0x1F, 0x00, // -----###---#####------**
    0x07, 0x0F, 0x00, // -----###----####------**
    0x07, 0xFF, 0xC0, // -----#############----**
    0x03, 0xFF, 0xC0, // ------############----**
    0x00, 0xFB, 0xC0, // --------#####-####----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @522 ''' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x20, 0x00, // ----------#-----------**
    0x00, 0x20, 0x00, // ----------#-----------**
    0x00, 0x20, 0x00, // ----------#-----------**
    0x00, 0x20, 0x00, // ----------#-----------**
    0x00, 0x20, 0x00, // ----------#-----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @609 '(' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x03, 0x00, // --------------##------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x0F, 0x00, // ------------####------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x1E, 0x00, // -----------####-------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x1E, 0x00, // -----------####-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0F, 0x00, // ------------####------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x03, 0x00, // --------------##------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @696 ')' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x06, 0x00, 0x00, // -----##---------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x07, 0x80, 0x00, // -----####-------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x03, 0xC0, 0x00, // ------####------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x03, 0xC0, 0x00, // ------####------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x07, 0x80, 0x00, // -----####-------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x06, 0x00, 0x00, // -----##---------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @783 '*' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x0E, 0x73, 0x80, // ----###--###--###-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x01, 0xFC, 0x00, // -------#######--------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x01, 0xFC, 0x00, // -------#######--------**
    0x03, 0xDE, 0x00, // ------####-####-------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @870 '+' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @957 ',' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x3C, 0x00, // ----------####--------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x78, 0x00, // ---------####---------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x60, 0x00, // ---------##-----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xC0, 0x00, // --------##------------**
    0x00, 0xC0, 0x00, // --------##------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @1044 '-' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x07, 0xFF, 0x80, // -----############-----**
    0x07, 0xFF, 0x80, // -----############-----**
    0x07, 0xFF, 0x80, // -----############-----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @1131 '.' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x60, 0x00, // ---------##-----------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x00, 0x60, 0x00, // ---------##-----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @1218 '/' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x01, 0x80, // ---------------##-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x78, 0x00, // ---------####---------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x0C, 0x00, 0x00, // ----##----------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @1305 '0' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x07, 0x9E, 0x00, // -----####--####-------**
    0x07, 0x0E, 0x00, // -----###----###-------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x07, 0x0E, 0x00, // -----###----###-------**
    0x07, 0x9E, 0x00, // -----####--####-------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @1392 '1' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x30, 0x00, // ----------##----------**
    0x03, 0xF0, 0x00, // ------######----------**
    0x0F, 0xF0, 0x00, // ----########----------**
    0x0F, 0xF0, 0x00, // ----########----------**
    0x0E, 0x70, 0x00, // ----###--###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @1479 '2' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x01, 0xF8, 0x00, // -------######---------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x07, 0xFE, 0x00, // -----##########-------**
    0x0F, 0x0F, 0x00, // ----####----####------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x1E, 0x00, // -----------####-------**
    0x00, 0x3C, 0x00, // ----------####--------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x01, 0xE0, 0x00, // -------####-----------**
    0x03, 0xC0, 0x00, // ------####------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @1566 '3' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x07, 0xFE, 0x00, // -----##########-------**
    0x07, 0x0F, 0x00, // -----###----####------**
    0x06, 0x07, 0x00, // -----##------###------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x0F, 0x00, // ------------####------**
    0x00, 0xFE, 0x00, // --------#######-------**
    0x00, 0xFC, 0x00, // --------######--------**
    0x00, 0xFE, 0x00, // --------#######-------**
    0x00, 0x0F, 0x00, // ------------####------**
    0x00, 0x07, 0x80, // -------------####-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x0E, 0x07, 0x80, // ----###------####-----**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFE, 0x00, // ----###########-------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @1653 '4' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x3C, 0x00, // ----------####--------**
    0x00, 0x7C, 0x00, // ---------#####--------**
    0x00, 0xFC, 0x00, // --------######--------**
    0x00, 0xFC, 0x00, // --------######--------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x03, 0xDC, 0x00, // ------####-###--------**
    0x03, 0x9C, 0x00, // ------###--###--------**
    0x07, 0x1C, 0x00, // -----###---###--------**
    0x0F, 0x1C, 0x00, // ----####---###--------**
    0x0E, 0x1C, 0x00, // ----###----###--------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0xFF, 0x00, // --------########------**
    0x00, 0xFF, 0x00, // --------########------**
    0x00, 0xFF, 0x00, // --------########------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @1740 '5' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x0E, 0xF8, 0x00, // ----###-#####---------**
    0x0F, 0xFE, 0x00, // ----###########-------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x1C, 0x07, 0x80, // ---###-------####-----**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x0F, 0xFE, 0x00, // ----###########-------**
    0x03, 0xF8, 0x00, // ------#######---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @1827 '6' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x1F, 0x00, // -----------#####------**
    0x00, 0xFF, 0x80, // --------#########-----**
    0x01, 0xFF, 0x80, // -------##########-----**
    0x03, 0xE1, 0x80, // ------#####----##-----**
    0x07, 0x80, 0x00, // -----####-------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x0F, 0x00, 0x00, // ----####--------------**
    0x0E, 0x7C, 0x00, // ----###--#####--------**
    0x0E, 0xFE, 0x00, // ----###-#######-------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0x87, 0x80, // ----#####----####-----**
    0x0F, 0x03, 0x80, // ----####------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x06, 0x03, 0x80, // -----##-------###-----**
    0x07, 0x07, 0x80, // -----###-----####-----**
    0x03, 0xFF, 0x00, // ------##########------**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x00, 0xFC, 0x00, // --------######--------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @1914 '7' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x3C, 0x00, // ----------####--------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2001 '8' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x01, 0xF8, 0x00, // -------######---------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x07, 0xFE, 0x00, // -----##########-------**
    0x0F, 0x0F, 0x00, // ----####----####------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0F, 0x0F, 0x00, // ----####----####------**
    0x07, 0xFE, 0x00, // -----##########-------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x07, 0xFE, 0x00, // -----##########-------**
    0x0F, 0x0F, 0x00, // ----####----####------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0F, 0x0F, 0x00, // ----####----####------**
    0x07, 0xFE, 0x00, // -----##########-------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x01, 0xF8, 0x00, // -------######---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2088 '9' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x01, 0xF8, 0x00, // -------######---------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x07, 0xFE, 0x00, // -----##########-------**
    0x07, 0x0F, 0x00, // -----###----####------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x07, 0x80, // ----###------####-----**
    0x07, 0x0F, 0x80, // -----###----#####-----**
    0x07, 0xFF, 0x80, // -----############-----**
    0x03, 0xFB, 0x80, // ------#######-###-----**
    0x00, 0xF7, 0x80, // --------####-####-----**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x0F, 0x00, // ------------####------**
    0x0C, 0x3E, 0x00, // ----##----#####-------**
    0x0F, 0xFC, 0x00, // ----##########--------**
    0x0F, 0xF8, 0x00, // ----#########---------**
    0x07, 0xE0, 0x00, // -----######-----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2175 ':' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x60, 0x00, // ---------##-----------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x00, 0x60, 0x00, // ---------##-----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x60, 0x00, // ---------##-----------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x00, 0x60, 0x00, // ---------##-----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2262 ';' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x0C, 0x00, // ------------##--------**
    0x00, 0x1E, 0x00, // -----------####-------**
    0x00, 0x1E, 0x00, // -----------####-------**
    0x00, 0x0C, 0x00, // ------------##--------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x3C, 0x00, // ----------####--------**
    0x00, 0x78, 0x00, // ---------####---------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xC0, 0x00, // --------##------------**
    0x00, 0xC0, 0x00, // --------##------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2349 '<' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x01, 0xC0, // ---------------###----**
    0x00, 0x07, 0xC0, // -------------#####----**
    0x00, 0x0F, 0x80, // ------------#####-----**
    0x00, 0x3E, 0x00, // ----------#####-------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x03, 0xF0, 0x00, // ------######----------**
    0x07, 0xC0, 0x00, // -----#####------------**
    0x1F, 0x00, 0x00, // ---#####--------------**
    0x7C, 0x00, 0x00, // -#####----------------**
    0x1F, 0x00, 0x00, // ---#####--------------**
    0x07, 0xC0, 0x00, // -----#####------------**
    0x03, 0xF0, 0x00, // ------######----------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0x3E, 0x00, // ----------#####-------**
    0x00, 0x0F, 0x80, // ------------#####-----**
    0x00, 0x07, 0xC0, // -------------#####----**
    0x00, 0x01, 0xC0, // ---------------###----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2436 '=' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3F, 0xFF, 0xC0, // --################----**
    0x3F, 0xFF, 0xC0, // --################----**
    0x3F, 0xFF, 0xC0, // --################----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3F, 0xFF, 0xC0, // --################----**
    0x3F, 0xFF, 0xC0, // --################----**
    0x3F, 0xFF, 0xC0, // --################----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2523 '>' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x38, 0x00, 0x00, // --###----------------**
    0x3E, 0x00, 0x00, // --#####---------------**
    0x1F, 0x00, 0x00, // ---#####--------------**
    0x07, 0xC0, 0x00, // -----#####------------**
    0x01, 0xF0, 0x00, // -------#####----------**
    0x00, 0xFC, 0x00, // --------######--------**
    0x00, 0x3E, 0x00, // ----------#####-------**
    0x00, 0x0F, 0x80, // ------------#####-----**
    0x00, 0x03, 0xE0, // --------------#####---**
    0x00, 0x0F, 0x80, // ------------#####-----**
    0x00, 0x3E, 0x00, // ----------#####-------**
    0x00, 0xFC, 0x00, // --------######--------**
    0x01, 0xF0, 0x00, // -------#####----------**
    0x07, 0xC0, 0x00, // -----#####------------**
    0x1F, 0x00, 0x00, // ---#####--------------**
    0x3E, 0x00, 0x00, // --#####---------------**
    0x38, 0x00, 0x00, // --###----------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2610 '?' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x07, 0xFE, 0x00, // -----##########-------**
    0x07, 0x0F, 0x00, // -----###----####------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x1F, 0x00, // -----------#####------**
    0x00, 0x7E, 0x00, // ---------######-------**
    0x00, 0x7C, 0x00, // ---------#####--------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x78, 0x00, // ---------####---------**
    0x00, 0x78, 0x00, // ---------####---------**
    0x00, 0x78, 0x00, // ---------####---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2697 '@' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x07, 0x0C, 0x00, // -----###----##--------**
    0x06, 0x06, 0x00, // -----##------##-------**
    0x0E, 0x06, 0x00, // ----###------##-------**
    0x0C, 0x1E, 0x00, // ----##-----####-------**
    0x0C, 0x7E, 0x00, // ----##---######-------**
    0x0C, 0x66, 0x00, // ----##---##--##-------**
    0x0C, 0xC6, 0x00, // ----##--##---##-------**
    0x0C, 0xC6, 0x00, // ----##--##---##-------**
    0x0C, 0xC6, 0x00, // ----##--##---##-------**
    0x0C, 0xE6, 0x00, // ----##--###--##-------**
    0x0C, 0x7F, 0x00, // ----##---#######------**
    0x0C, 0x3F, 0x00, // ----##----######------**
    0x0C, 0x00, 0x00, // ----##----------------**
    0x06, 0x00, 0x00, // -----##---------------**
    0x06, 0x00, 0x00, // -----##---------------**
    0x07, 0x06, 0x00, // -----###-----##-------**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2784 'A' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x0F, 0xF0, 0x00, // ----########----------**
    0x0F, 0xF8, 0x00, // ----#########---------**
    0x0F, 0xF8, 0x00, // ----#########---------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x7F, 0x8F, 0xF0, // -########---########--**
    0x7F, 0x8F, 0xF0, // -########---########--**
    0x7F, 0x8F, 0xF0, // -########---########--**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2871 'B' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x1F, 0xFC, 0x00, // ---###########--------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x07, 0x07, 0x80, // -----###-----####-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x07, 0x80, // -----###-----####-----**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x80, // -----############-----**
    0x07, 0x03, 0xC0, // -----###------####----**
    0x07, 0x01, 0xC0, // -----###-------###----**
    0x07, 0x01, 0xC0, // -----###-------###----**
    0x07, 0x01, 0xC0, // -----###-------###----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1F, 0xFF, 0x80, // ---##############-----**
    0x1F, 0xFE, 0x00, // ---############-------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @2958 'C' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xFD, 0xC0, // --------######-###----**
    0x03, 0xFF, 0xC0, // ------############----**
    0x07, 0xFF, 0xC0, // -----#############----**
    0x0F, 0x83, 0xC0, // ----#####-----####----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x1E, 0x01, 0xC0, // ---####--------###----**
    0x1C, 0x00, 0x00, // ---###----------------**
    0x1C, 0x00, 0x00, // ---###----------------**
    0x1C, 0x00, 0x00, // ---###----------------**
    0x1C, 0x00, 0x00, // ---###----------------**
    0x1C, 0x00, 0x00, // ---###----------------**
    0x1C, 0x00, 0x00, // ---###----------------**
    0x0E, 0x00, 0xC0, // ----###---------##----**
    0x0F, 0x83, 0xC0, // ----#####-----####----**
    0x07, 0xFF, 0xC0, // -----#############----**
    0x03, 0xFF, 0x80, // ------###########-----**
    0x00, 0xFE, 0x00, // --------#######-------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @3045 'D' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3F, 0xF8, 0x00, // --###########---------**
    0x3F, 0xFE, 0x00, // --#############-------**
    0x3F, 0xFF, 0x00, // --##############------**
    0x0E, 0x0F, 0x80, // ----###-----#####-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0xC0, // ----###-------####----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x07, 0x80, // ----###------####-----**
    0x3F, 0xFF, 0x00, // --##############------**
    0x3F, 0xFE, 0x00, // --#############-------**
    0x3F, 0xF8, 0x00, // --###########---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @3132 'E' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x1F, 0xFF, 0x80, // ---##############-----**
    0x1F, 0xFF, 0x80, // ---##############-----**
    0x1F, 0xFF, 0x80, // ---##############-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x3B, 0x80, // -----###--###-###-----**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x07, 0xF8, 0x00, // -----########---------**
    0x07, 0xF8, 0x00, // -----########---------**
    0x07, 0xF8, 0x00, // -----########---------**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x07, 0x39, 0xC0, // -----###--###--###----**
    0x07, 0x01, 0xC0, // -----###-------###----**
    0x07, 0x01, 0xC0, // -----###-------###----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @3219 'F' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x07, 0x01, 0xC0, // -----###-------###----**
    0x07, 0x01, 0xC0, // -----###-------###----**
    0x07, 0x39, 0xC0, // -----###--###--###----**
    0x07, 0x39, 0xC0, // -----###--###--###----**
    0x07, 0xF8, 0x00, // -----########---------**
    0x07, 0xF8, 0x00, // -----########---------**
    0x07, 0xF8, 0x00, // -----########---------**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x1F, 0xF8, 0x00, // ---##########---------**
    0x1F, 0xF8, 0x00, // ---##########---------**
    0x1F, 0xF8, 0x00, // ---##########---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @3306 'G' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xFD, 0xC0, // --------######-###----**
    0x03, 0xFF, 0xC0, // ------############----**
    0x07, 0xFF, 0xC0, // -----#############----**
    0x0F, 0x03, 0xC0, // ----####------####----**
    0x0E, 0x03, 0xC0, // ----###-------####----**
    0x1E, 0x01, 0xC0, // ---####--------###----**
    0x1C, 0x00, 0x00, // ---###----------------**
    0x1C, 0x00, 0x00, // ---###----------------**
    0x1C, 0x3F, 0xE0, // ---###----#########---**
    0x1C, 0x3F, 0xE0, // ---###----#########---**
    0x1C, 0x3F, 0xE0, // ---###----#########---**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0F, 0x03, 0xC0, // ----####------####----**
    0x07, 0xFF, 0xC0, // -----#############----**
    0x03, 0xFF, 0x80, // ------###########-----**
    0x00, 0xFE, 0x00, // --------#######-------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @3393 'H' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x1F, 0x8F, 0xC0, // ---######---######----**
    0x1F, 0x8F, 0xC0, // ---######---######----**
    0x1F, 0x8F, 0xC0, // ---######---######----**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x1F, 0x8F, 0xC0, // ---######---######----**
    0x1F, 0x8F, 0xC0, // ---######---######----**
    0x1F, 0x8F, 0xC0, // ---######---######----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @3480 'I' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @3567 'J' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x01, 0xFF, 0xF0, // -------#############--**
    0x01, 0xFF, 0xF0, // -------#############--**
    0x01, 0xFF, 0xF0, // -------#############--**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x07, 0x00, // -------------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0F, 0x0F, 0x00, // ----####----####------**
    0x0F, 0xFE, 0x00, // ----###########-------**
    0x07, 0xFC, 0x00, // -----#########--------**
    0x01, 0xF0, 0x00, // -------#####----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @3654 'K' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x0E, 0x00, // -----###----###-------**
    0x07, 0x1C, 0x00, // -----###---###--------**
    0x07, 0x78, 0x00, // -----###-####---------**
    0x07, 0xF8, 0x00, // -----########---------**
    0x07, 0xFC, 0x00, // -----#########--------**
    0x07, 0x9E, 0x00, // -----####--####-------**
    0x07, 0x0E, 0x00, // -----###----###-------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x1F, 0xE3, 0xF0, // ---########---######--**
    0x1F, 0xE1, 0xF0, // ---########----#####--**
    0x1F, 0xE1, 0xF0, // ---########----#####--**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @3741 'L' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3F, 0xF8, 0x00, // --###########---------**
    0x3F, 0xF8, 0x00, // --###########---------**
    0x3F, 0xF8, 0x00, // --###########---------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x03, 0x81, 0xC0, // ------###------###----**
    0x03, 0x81, 0xC0, // ------###------###----**
    0x03, 0x81, 0xC0, // ------###------###----**
    0x03, 0x81, 0xC0, // ------###------###----**
    0x03, 0x81, 0xC0, // ------###------###----**
    0x3F, 0xFF, 0xC0, // --################----**
    0x3F, 0xFF, 0xC0, // --################----**
    0x3F, 0xFF, 0xC0, // --################----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @3828 'M' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x7E, 0x03, 0xF0, // -######-------######--**
    0x7E, 0x03, 0xF0, // -######-------######--**
    0x7E, 0x03, 0xF0, // -######-------######--**
    0x1F, 0x07, 0xC0, // ---#####-----#####----**
    0x1F, 0x07, 0xC0, // ---#####-----#####----**
    0x1F, 0x8F, 0xC0, // ---######---######----**
    0x1D, 0x8D, 0xC0, // ---###-##---##-###----**
    0x1D, 0x8D, 0xC0, // ---###-##---##-###----**
    0x1C, 0xD9, 0xC0, // ---###--##-##--###----**
    0x1C, 0xD9, 0xC0, // ---###--##-##--###----**
    0x1C, 0xF9, 0xC0, // ---###--#####--###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x7F, 0x8F, 0xF0, // -########---########--**
    0x7F, 0x8F, 0xF0, // -########---########--**
    0x7F, 0x8F, 0xF0, // -########---########--**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @3915 'N' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3E, 0x1F, 0xE0, // --#####----########---**
    0x3F, 0x1F, 0xE0, // --######---########---**
    0x3F, 0x1F, 0xE0, // --######---########---**
    0x0F, 0x83, 0x80, // ----#####-----###-----**
    0x0F, 0x83, 0x80, // ----#####-----###-----**
    0x0E, 0xC3, 0x80, // ----###-##----###-----**
    0x0E, 0xE3, 0x80, // ----###-###---###-----**
    0x0E, 0x63, 0x80, // ----###--##---###-----**
    0x0E, 0x73, 0x80, // ----###--###--###-----**
    0x0E, 0x33, 0x80, // ----###---##--###-----**
    0x0E, 0x1B, 0x80, // ----###----##-###-----**
    0x0E, 0x1B, 0x80, // ----###----##-###-----**
    0x0E, 0x0F, 0x80, // ----###-----#####-----**
    0x0E, 0x0F, 0x80, // ----###-----#####-----**
    0x3F, 0xC7, 0x80, // --########---####-----**
    0x3F, 0xC7, 0x80, // --########---####-----**
    0x3F, 0xC3, 0x80, // --########----###-----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4002 'O' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x0F, 0x8F, 0x80, // ----#####---#####-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x1E, 0x03, 0xC0, // ---####-------####----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1E, 0x03, 0xC0, // ---####-------####----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0F, 0x8F, 0x80, // ----#####---#####-----**
    0x07, 0xFF, 0x00, // -----###########------**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4089 'P' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x0F, 0xFE, 0x00, // ----###########-------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x03, 0x83, 0xC0, // ------###-----####----**
    0x03, 0x81, 0xC0, // ------###------###----**
    0x03, 0x81, 0xC0, // ------###------###----**
    0x03, 0x81, 0xC0, // ------###------###----**
    0x03, 0x83, 0xC0, // ------###-----####----**
    0x03, 0xFF, 0x80, // ------###########-----**
    0x03, 0xFF, 0x00, // ------##########------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x0F, 0xFC, 0x00, // ----##########--------**
    0x0F, 0xFC, 0x00, // ----##########--------**
    0x0F, 0xFC, 0x00, // ----##########--------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4176 'Q' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x0F, 0x8F, 0x80, // ----#####---#####-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0xC0, // ----###-------####----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1E, 0x03, 0xC0, // ---####-------####----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0F, 0x8F, 0x80, // ----#####---#####-----**
    0x07, 0xFF, 0x00, // -----###########------**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0xF1, 0xC0, // --------####---###----**
    0x01, 0xFF, 0xC0, // -------###########----**
    0x03, 0xFF, 0xC0, // ------############----**
    0x03, 0x87, 0x00, // ------###----###------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4263 'R' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x1F, 0xFC, 0x00, // ---###########--------**
    0x1F, 0xFE, 0x00, // ---############-------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x07, 0x07, 0x80, // -----###-----####-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x07, 0x80, // -----###-----####-----**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFE, 0x00, // -----##########-------**
    0x07, 0xFE, 0x00, // -----##########-------**
    0x07, 0x0F, 0x00, // -----###----####------**
    0x07, 0x07, 0x80, // -----###-----####-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x1F, 0xE3, 0xF0, // ---########---######--**
    0x1F, 0xE1, 0xF0, // ---########----#####--**
    0x1F, 0xE0, 0xF0, // ---########-----####--**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4350 'S' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xF7, 0x00, // --------####-###------**
    0x03, 0xFF, 0x00, // ------##########------**
    0x03, 0xFF, 0x00, // ------##########------**
    0x07, 0x8F, 0x00, // -----####---####------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x03, 0x00, // -----###------##------**
    0x07, 0x80, 0x00, // -----####-------------**
    0x03, 0xF0, 0x00, // ------######----------**
    0x01, 0xFE, 0x00, // -------########-------**
    0x00, 0x7F, 0x00, // ---------#######------**
    0x00, 0x07, 0x80, // -------------####-----**
    0x0C, 0x03, 0x80, // ----##--------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0F, 0x07, 0x80, // ----####-----####-----**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0E, 0xFC, 0x00, // ----###-######--------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4437 'T' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4524 'U' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0F, 0x07, 0x80, // ----####-----####-----**
    0x07, 0x8F, 0x00, // -----####---####------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4611 'V' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x7F, 0x8F, 0xF0, // -########---########--**
    0x7F, 0x8F, 0xF0, // -########---########--**
    0x7F, 0x8F, 0xF0, // -########---########--**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4698 'W' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0xFF, 0x8F, 0xF8, // #########---#########-**
    0xFF, 0x8F, 0xF8, // #########---#########-**
    0xFF, 0x8F, 0xF8, // #########---#########-**
    0x38, 0x00, 0xE0, // --###-----------###---**
    0x38, 0x70, 0xE0, // --###----###----###---**
    0x3C, 0x71, 0xE0, // --####---###---####---**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0xF9, 0xC0, // ---###--#####--###----**
    0x1C, 0xD9, 0xC0, // ---###--##-##--###----**
    0x1D, 0xDD, 0xC0, // ---###-###-###-###----**
    0x1D, 0x8D, 0xC0, // ---###-##---##-###----**
    0x1D, 0x8D, 0xC0, // ---###-##---##-###----**
    0x0F, 0x8F, 0x80, // ----#####---#####-----**
    0x0F, 0x07, 0x80, // ----####-----####-----**
    0x0F, 0x07, 0x80, // ----####-----####-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4785 'X' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4872 'Y' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x0F, 0xE0, // --######----#######---**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x01, 0xFC, 0x00, // -------#######--------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @4959 'Z' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x0E, 0x00, // -----###----###-------**
    0x07, 0x1C, 0x00, // -----###---###--------**
    0x07, 0x38, 0x00, // -----###--###---------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x01, 0xC3, 0x80, // -------###----###-----**
    0x03, 0x83, 0x80, // ------###-----###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @5046 '[' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x7F, 0x00, // ---------#######------**
    0x00, 0x7F, 0x00, // ---------#######------**
    0x00, 0x7F, 0x00, // ---------#######------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x7F, 0x00, // ---------#######------**
    0x00, 0x7F, 0x00, // ---------#######------**
    0x00, 0x7F, 0x00, // ---------#######------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @5133 '\' (22 pixels wide / 2 lst LSB unused)
    0x0C, 0x00, 0x00, // ----##----------------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x03, 0x80, 0x00, // ------###-------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xE0, 0x00, // -------####-----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x01, 0x80, // ---------------##-----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @5220 ']' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @5307 '^' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x20, 0x00, // ----------#-----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x07, 0x8F, 0x00, // -----####---####------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0C, 0x01, 0x80, // ----##---------##-----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @5394 '_' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0xFF, 0xFF, 0xF0, // ####################--**
    0xFF, 0xFF, 0xF0, // ####################--**
    0xFF, 0xFF, 0xF0, // ####################--**

    // @5481 '`' (22 pixels wide / 2 lst LSB unused)
    0x00, 0xC0, 0x00, // --------##------------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0x78, 0x00, // ---------####---------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x0C, 0x00, // ------------##--------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @5568 'a' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x03, 0xF8, 0x00, // ------#######---------**
    0x0F, 0xFE, 0x00, // ----###########-------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x00, 0x07, 0x00, // -------------###------**
    0x00, 0x07, 0x00, // -------------###------**
    0x01, 0xFF, 0x00, // -------#########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x1C, 0x07, 0x00, // ---###-------###------**
    0x1C, 0x1F, 0x00, // ---###-----#####------**
    0x1F, 0xFF, 0xE0, // ---################---**
    0x0F, 0xF7, 0xE0, // ----########-######---**
    0x03, 0xE7, 0xE0, // ------#####--######---**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @5655 'b' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x7E, 0x00, 0x00, // -######---------------**
    0x7E, 0x00, 0x00, // -######---------------**
    0x7E, 0x00, 0x00, // -######---------------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x0E, 0x7C, 0x00, // ----###--#####--------**
    0x0F, 0xFE, 0x00, // ----###########-------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0x87, 0x80, // ----#####----####-----**
    0x0F, 0x03, 0xC0, // ----####------####----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0F, 0x03, 0xC0, // ----####------####----**
    0x0F, 0x87, 0x80, // ----#####----####-----**
    0x7F, 0xFF, 0x80, // -################-----**
    0x7F, 0xFF, 0x00, // -###############------**
    0x7E, 0x7C, 0x00, // -######--#####--------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @5742 'c' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x01, 0xF9, 0x80, // -------######--##-----**
    0x03, 0xFF, 0x80, // ------###########-----**
    0x07, 0xFF, 0x80, // -----############-----**
    0x0F, 0x07, 0x80, // ----####-----####-----**
    0x1E, 0x03, 0x80, // ---####-------###-----**
    0x1C, 0x03, 0x80, // ---###--------###-----**
    0x1C, 0x00, 0x00, // ---###----------------**
    0x1C, 0x00, 0x00, // ---###----------------**
    0x1E, 0x01, 0xC0, // ---####--------###----**
    0x0F, 0x03, 0xC0, // ----####------####----**
    0x0F, 0xFF, 0xC0, // ----##############----**
    0x07, 0xFF, 0x80, // -----############-----**
    0x01, 0xFE, 0x00, // -------########-------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @5829 'd' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x1F, 0x80, // -----------######-----**
    0x00, 0x1F, 0x80, // -----------######-----**
    0x00, 0x1F, 0x80, // -----------######-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x01, 0xF3, 0x80, // -------#####--###-----**
    0x03, 0xFF, 0x80, // ------###########-----**
    0x07, 0xFF, 0x80, // -----############-----**
    0x0F, 0x0F, 0x80, // ----####----#####-----**
    0x1E, 0x07, 0x80, // ---####------####-----**
    0x1C, 0x03, 0x80, // ---###--------###-----**
    0x1C, 0x03, 0x80, // ---###--------###-----**
    0x1C, 0x03, 0x80, // ---###--------###-----**
    0x1E, 0x07, 0x80, // ---####------####-----**
    0x0F, 0x0F, 0x80, // ----####----#####-----**
    0x0F, 0xFF, 0xF0, // ----################--**
    0x07, 0xFB, 0xF0, // -----########-######--**
    0x01, 0xF3, 0xF0, // -------#####--######--**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @5916 'e' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xFC, 0x00, // --------######--------**
    0x03, 0xFF, 0x00, // ------##########------**
    0x07, 0xFF, 0x80, // -----############-----**
    0x0F, 0x07, 0x80, // ----####-----####-----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1F, 0xFF, 0xC0, // ---###############----**
    0x1C, 0x00, 0x00, // ---###----------------**
    0x1E, 0x00, 0x00, // ---####---------------**
    0x0F, 0x01, 0xC0, // ----####-------###----**
    0x0F, 0xFF, 0xC0, // ----##############----**
    0x03, 0xFF, 0x80, // ------###########-----**
    0x01, 0xFE, 0x00, // -------########-------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6003 'f' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x3F, 0x80, // ----------#######-----**
    0x00, 0xFF, 0xC0, // --------##########----**
    0x00, 0xFF, 0xC0, // --------##########----**
    0x01, 0xE0, 0x00, // -------####-----------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6090 'g' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x01, 0xFB, 0xE0, // -------######-#####---**
    0x07, 0xFF, 0xE0, // -----##############---**
    0x0F, 0xFF, 0xE0, // ----###############---**
    0x0F, 0x0F, 0x80, // ----####----#####-----**
    0x1E, 0x07, 0x80, // ---####------####-----**
    0x1C, 0x03, 0x80, // ---###--------###-----**
    0x1C, 0x03, 0x80, // ---###--------###-----**
    0x1C, 0x03, 0x80, // ---###--------###-----**
    0x1E, 0x07, 0x80, // ---####------####-----**
    0x0F, 0x0F, 0x80, // ----####----#####-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x07, 0xFF, 0x80, // -----############-----**
    0x01, 0xFB, 0x80, // -------######-###-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x07, 0x80, // -------------####-----**
    0x03, 0xFF, 0x00, // ------##########------**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6177 'h' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3F, 0x00, 0x00, // --######--------------**
    0x3F, 0x00, 0x00, // --######--------------**
    0x3F, 0x00, 0x00, // --######--------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x07, 0x7C, 0x00, // -----###-#####--------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0xFF, 0x80, // -----############-----**
    0x07, 0x87, 0x80, // -----####----####-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6264 'i' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6351 'j' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x0F, 0xFE, 0x00, // ----###########-------**
    0x0F, 0xFE, 0x00, // ----###########-------**
    0x0F, 0xFE, 0x00, // ----###########-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x0E, 0x00, // ------------###-------**
    0x00, 0x1E, 0x00, // -----------####-------**
    0x0F, 0xFC, 0x00, // ----##########--------**
    0x0F, 0xF8, 0x00, // ----#########---------**
    0x0F, 0xF0, 0x00, // ----########----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6438 'k' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x1F, 0x00, 0x00, // ---#####--------------**
    0x1F, 0x00, 0x00, // ---#####--------------**
    0x1F, 0x00, 0x00, // ---#####--------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x07, 0x3F, 0xC0, // -----###--########----**
    0x07, 0x3F, 0xC0, // -----###--########----**
    0x07, 0x1F, 0xC0, // -----###---#######----**
    0x07, 0x7E, 0x00, // -----###-######-------**
    0x07, 0xF8, 0x00, // -----########---------**
    0x07, 0xE0, 0x00, // -----######-----------**
    0x07, 0xE0, 0x00, // -----######-----------**
    0x07, 0xF8, 0x00, // -----########---------**
    0x07, 0x3C, 0x00, // -----###--####--------**
    0x07, 0x1F, 0x00, // -----###---#####------**
    0x1F, 0x0F, 0xC0, // ---#####----######----**
    0x1F, 0x1F, 0xC0, // ---#####---#######----**
    0x1F, 0x1F, 0xC0, // ---#####---#######----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6525 'l' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x07, 0xF0, 0x00, // -----#######----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6612 'm' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x7D, 0xCF, 0x00, // -#####-###--####------**
    0x7F, 0xFF, 0x80, // -################-----**
    0x7F, 0xFF, 0xC0, // -#################----**
    0x1E, 0x79, 0xC0, // ---####--####--###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x7F, 0x7D, 0xF0, // -#######-#####-#####--**
    0x7F, 0x7D, 0xF0, // -#######-#####-#####--**
    0x7F, 0x7D, 0xF0, // -#######-#####-#####--**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6699 'n' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x1F, 0x7C, 0x00, // ---#####-#####--------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x80, // ---##############-----**
    0x07, 0x87, 0x80, // -----####----####-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6786 'o' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x0F, 0x07, 0x80, // ----####-----####-----**
    0x1E, 0x03, 0xC0, // ---####-------####----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1C, 0x01, 0xC0, // ---###---------###----**
    0x1E, 0x03, 0xC0, // ---####-------####----**
    0x0F, 0x07, 0x80, // ----####-----####-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x03, 0xFE, 0x00, // ------#########-------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6873 'p' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x7E, 0xFC, 0x00, // -######-######--------**
    0x7F, 0xFE, 0x00, // -##############-------**
    0x7F, 0xFF, 0x00, // -###############------**
    0x0F, 0x87, 0x80, // ----#####----####-----**
    0x0F, 0x03, 0xC0, // ----####------####----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0E, 0x01, 0xC0, // ----###--------###----**
    0x0F, 0x03, 0xC0, // ----####------####----**
    0x0F, 0x87, 0x80, // ----#####----####-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0E, 0xFF, 0x00, // ----###-########------**
    0x0E, 0x7C, 0x00, // ----###--#####--------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x0E, 0x00, 0x00, // ----###---------------**
    0x7F, 0xE0, 0x00, // -##########-----------**
    0x7F, 0xE0, 0x00, // -##########-----------**
    0x7F, 0xE0, 0x00, // -##########-----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @6960 'q' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x01, 0xFB, 0xF0, // -------######-######--**
    0x03, 0xFF, 0xF0, // ------##############--**
    0x07, 0xFF, 0xF0, // -----###############--**
    0x0F, 0x0F, 0x80, // ----####----#####-----**
    0x1E, 0x07, 0x80, // ---####------####-----**
    0x1C, 0x03, 0x80, // ---###--------###-----**
    0x1C, 0x03, 0x80, // ---###--------###-----**
    0x1C, 0x03, 0x80, // ---###--------###-----**
    0x1E, 0x07, 0x80, // ---####------####-----**
    0x0F, 0x0F, 0x80, // ----####----#####-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x07, 0xFF, 0x80, // -----############-----**
    0x01, 0xF3, 0x80, // -------#####--###-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x03, 0x80, // --------------###-----**
    0x00, 0x3F, 0xF0, // ----------##########--**
    0x00, 0x3F, 0xF0, // ----------##########--**
    0x00, 0x3F, 0xF0, // ----------##########--**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @7047 'r' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x0F, 0xC7, 0x00, // ----######---###------**
    0x0F, 0xDF, 0xC0, // ----######-#######----**
    0x0F, 0xFF, 0xC0, // ----##############----**
    0x01, 0xF8, 0xC0, // -------######---##----**
    0x01, 0xE0, 0x00, // -------####-----------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x1F, 0xFF, 0x00, // ---#############------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @7134 's' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0xFB, 0x00, // --------#####-##------**
    0x03, 0xFF, 0x00, // ------##########------**
    0x07, 0xFF, 0x00, // -----###########------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x00, 0x00, // -----###--------------**
    0x03, 0xFC, 0x00, // ------########--------**
    0x01, 0xFF, 0x00, // -------#########------**
    0x00, 0x7F, 0x80, // ---------########-----**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x0F, 0x03, 0x80, // ----####------###-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0E, 0xFC, 0x00, // ----###-######--------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @7221 't' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x0F, 0xFF, 0x00, // ----############------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xC1, 0xC0, // -------###-----###----**
    0x01, 0xFF, 0xC0, // -------###########----**
    0x00, 0xFF, 0x80, // --------#########-----**
    0x00, 0x7E, 0x00, // ---------######-------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @7308 'u' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x1F, 0x1F, 0x00, // ---#####---#####------**
    0x1F, 0x1F, 0x00, // ---#####---#####------**
    0x1F, 0x1F, 0x00, // ---#####---#####------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x1F, 0x00, // -----###---#####------**
    0x07, 0xFF, 0xC0, // -----#############----**
    0x03, 0xFF, 0xC0, // ------############----**
    0x01, 0xF7, 0xC0, // -------#####-#####----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @7395 'v' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0xF8, 0x00, // --------#####---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @7482 'w' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3F, 0x07, 0xF0, // --######-----#######--**
    0x3F, 0x07, 0xF0, // --######-----#######--**
    0x3F, 0x07, 0xF0, // --######-----#######--**
    0x1C, 0x21, 0xC0, // ---###----#----###----**
    0x1C, 0x71, 0xC0, // ---###---###---###----**
    0x0C, 0x71, 0x80, // ----##---###---##-----**
    0x0E, 0xFB, 0x80, // ----###-#####-###-----**
    0x0E, 0xDB, 0x80, // ----###-##-##-###-----**
    0x07, 0xDF, 0x00, // -----#####-#####------**
    0x07, 0x8F, 0x00, // -----####---####------**
    0x07, 0x8F, 0x00, // -----####---####------**
    0x03, 0x06, 0x00, // ------##-----##-------**
    0x03, 0x06, 0x00, // ------##-----##-------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @7569 'x' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x0F, 0xCF, 0xC0, // ----######--######----**
    0x0F, 0xCF, 0xC0, // ----######--######----**
    0x0F, 0xCF, 0xC0, // ----######--######----**
    0x03, 0x87, 0x00, // ------###----###------**
    0x01, 0xCE, 0x00, // -------###--###-------**
    0x00, 0xFC, 0x00, // --------######--------**
    0x00, 0x78, 0x00, // ---------####---------**
    0x00, 0xFC, 0x00, // --------######--------**
    0x01, 0xCE, 0x00, // -------###--###-------**
    0x03, 0x87, 0x00, // ------###----###------**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x1F, 0xCF, 0xE0, // ---#######--#######---**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @7656 'y' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x3F, 0x8F, 0xE0, // --#######---#######---**
    0x0E, 0x03, 0x80, // ----###-------###-----**
    0x07, 0x07, 0x00, // -----###-----###------**
    0x07, 0x0E, 0x00, // -----###----###-------**
    0x03, 0x8E, 0x00, // ------###---###-------**
    0x03, 0x9C, 0x00, // ------###--###--------**
    0x01, 0xDC, 0x00, // -------###-###--------**
    0x01, 0xF8, 0x00, // -------######---------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x00, 0xF0, 0x00, // --------####----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x3F, 0xF8, 0x00, // --###########---------**
    0x3F, 0xF8, 0x00, // --###########---------**
    0x3F, 0xF8, 0x00, // --###########---------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @7743 'z' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0E, 0x07, 0x00, // ----###------###------**
    0x0E, 0x1C, 0x00, // ----###----###--------**
    0x00, 0x38, 0x00, // ----------###---------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0xE0, 0x00, // --------###-----------**
    0x03, 0xC3, 0x80, // ------####----###-----**
    0x07, 0x03, 0x80, // -----###------###-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x0F, 0xFF, 0x80, // ----#############-----**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @7830 '{' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x3C, 0x00, // ----------####--------**
    0x00, 0x7C, 0x00, // ---------#####--------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x01, 0xF0, 0x00, // -------#####----------**
    0x01, 0xE0, 0x00, // -------####-----------**
    0x01, 0xF0, 0x00, // -------#####----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x7C, 0x00, // ---------#####--------**
    0x00, 0x3C, 0x00, // ----------####--------**
    0x00, 0x1C, 0x00, // -----------###--------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @7917 '|' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @8004 '}' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x01, 0xE0, 0x00, // -------####-----------**
    0x01, 0xF0, 0x00, // -------#####----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x7C, 0x00, // ---------#####--------**
    0x00, 0x3C, 0x00, // ----------####--------**
    0x00, 0x7C, 0x00, // ---------#####--------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x00, 0x70, 0x00, // ---------###----------**
    0x01, 0xF0, 0x00, // -------#####----------**
    0x01, 0xE0, 0x00, // -------####-----------**
    0x01, 0xC0, 0x00, // -------###------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**

    // @8091 '~' (22 pixels wide / 2 lst LSB unused)
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x03, 0xC0, 0x00, // ------####------------**
    0x07, 0xE1, 0x80, // -----######----##-----**
    0x0F, 0xF3, 0x80, // ----########--###-----**
    0x0E, 0x7F, 0x80, // ----###--########-----**
    0x0C, 0x3F, 0x00, // ----##----######------**
    0x00, 0x1E, 0x00, // -----------####-------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
    0x00, 0x00, 0x00, // ----------------------**
};


font_t font_22x29 =
{
    font_22x29_data,
    22,
    29,
};
