/**
 * @file m13_rza2m_ek_lcd_graphics.h
 *
 * @brief Graphics driver function
 *
 *
 *
 * @section License
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright (C) 2020-2021 M13DESIGN SARL. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @author M13DESIGN SARL (www.m13design.fr)
 * @version 1.0.0
 **/

#ifndef _M13_RZA2M_EK_LCD_GRAPHICS_H
    #define _M13_RZA2M_EK_LCD_GRAPHICS_H

// Dependencies
#include "r_vdc.h"

// Bsp Functions
vdc_error_t bsp_graphic_init(const vdc_ext_in_sig_t *ext_input_sig);
vdc_error_t bsp_graphic_term(void);
vdc_error_t bsp_graphic_create_surface(const vdc_layer_id_t layer_id, void *const framebuff, const uint32_t fb_stride, const vdc_gr_format_t gr_format, const vdc_period_rect_t *const period_rect);
vdc_error_t bsp_graphic_video_create_surface(void *const framebuff, const uint32_t fb_stride, const vdc_res_md_t res_md, const vdc_period_rect_t *const res, const vdc_period_rect_t *const period_rect);
vdc_error_t bsp_graphic_destroy_surfaces(void);
vdc_error_t bsp_graphic_start_surfaces(const vdc_gr_disp_sel_t *const gr_disp_sel);
vdc_error_t bsp_graphic_stop_surfaces(void);

#endif  /* BSP_GRAPHICS_H */
