/**
 * @file m13_rza2m_ek_config.h
 * @brief M13-RZA2M-EK Configuration
 *
 * @section License
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright (C) 2020-2021 M13DESIGN SARL. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @author M13DESIGN SARL (www.m13design.fr)
 * @version 1.0.0
 **/

#ifndef _M13_RZA2M_EK_CONFIG_H
#define _M13_RZA2M_EK_CONFIG_H

// Macro definitions

#define	BSP_TRACE_LEVEL_OFF      0
#define	BSP_TRACE_LEVEL_INFO     1
#define	BSP_TRACE_LEVEL_DEBUG    2

// Default Trace Levels
#define BSP_CONFIG_TRACE_LEVEL_ACC                 BSP_TRACE_LEVEL_OFF    // Select Trace level for Accelerometer bsp debug messages

#define BSP_CONFIG_TRACE_LEVEL_TOUCH               BSP_TRACE_LEVEL_INFO    // Select Trace level for Touch screen bsp debug messages

#define BSP_CONFIG_TRACE_LEVEL_SDRAM               BSP_TRACE_LEVEL_INFO    // Select Trace level for SDRAM bsp debug messages

#define BSP_CONFIG_TRACE_LEVEL_SDRAM_T             BSP_TRACE_LEVEL_OFF     // Select Trace level for SDRAM Test debug messages

#define BSP_CONFIG_TRACE_LEVEL_OCTARAM             BSP_TRACE_LEVEL_INFO    // Select Trace level for OctaRAM bsp debug messages

#define BSP_CONFIG_TRACE_LEVEL_OCTARAM_T           BSP_TRACE_LEVEL_OFF     // Select Trace level for OctaRAM Test debug messages

#define BSP_CONFIG_TRACE_LEVEL_EEPROM              BSP_TRACE_LEVEL_DEBUG    // Select Trace level for EEPROM bsp debug messages

// Board Configuration
#define BSP_CONFIG_ENABLE_LCD_DOUBLE_BUFFER        1   // Enable/Disable double frame buffer for the LCD

#endif
