/**
 * @file m13_rza2m_ek_led.h
 * @brief M13-RZ/A2M-EK led BSP
 *
 * @section License
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright (C) 2020-2021 M13DESIGN SARL. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @author M13DESIGN SARL (www.m13design.fr)
 * @version 1.0.0
 **/

#ifndef _M13_RZA2M_EK_LED_H
#define _M13_RZA2M_EK_LED_H

// Dependencies
#include "r_gpio_drv_api.h"
#include "m13_rza2m_ek_pinout.h"
#include "m13_rza2m_ek_status.h"

// Led definitions
#define LED1                GPIO_PORT_J_PIN_1
#define LED_STATE_OFF       GPIO_LEVEL_HIGH
#define LED_STATE_ON        GPIO_LEVEL_LOW


// BSP Functions
bsp_status_t bsp_led_init(void);
void bsp_led_on(r_gpio_port_pin_t pin);
void bsp_led_off(r_gpio_port_pin_t pin);
e_r_drv_gpio_level_t bsp_led_get_state(r_gpio_port_pin_t pin);

#endif

