/**
 * @file m13_rza2m_ek_pinout.h
 * @brief M13-RZ/A2M-EK pinout definition
 *
 * @section License
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright (C) 2020-2021 M13DESIGN SARL. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @author M13DESIGN SARL (www.m13design.fr)
 * @version 1.0.0
 **/

#ifndef _M13_RZA2M_EK_PINOUT_H
#define _M13_RZA2M_EK_PINOUT_H

// Dependencies
#include "r_gpio_drv_api.h"

st_r_drv_gpio_pin_init_table_t m13_rza2m_ek_lcd_pin_table[2];
st_r_drv_gpio_pin_init_table_t m13_rza2m_ek_riic0_pin_table[2];
st_r_drv_gpio_pin_init_table_t m13_rza2m_ek_riic1_pin_table[2];
st_r_drv_gpio_pin_init_table_t m13_rza2m_ek_riic2_pin_table[2];
st_r_drv_gpio_pin_init_table_t m13_rza2m_ek_riic3_pin_table[2];
st_r_drv_gpio_pin_init_table_t m13_rza2m_ek_sw_pin_table[2];
st_r_drv_gpio_pin_init_table_t m13_rza2m_ek_led_pin_table[2];
st_r_drv_gpio_pin_init_table_t m13_rza2m_ek_vcom_pin_table[2];
st_r_drv_gpio_pin_init_table_t m13_rza2m_ek_irq1_pin_table[2];
st_r_drv_gpio_pin_init_table_t m13_rza2m_ek_eth_pin_table[2];
st_r_drv_gpio_pin_init_table_t m13_rza2m_ek_sdram_pin_table[2];

#endif
